はじめての自宅サーバ構築 - Fedora/CentOS -
Last Update 2017/02/18
[ 更新履歴 ] [ サイト マップ ] [ 質問掲示板 ] [ 雑談掲示板 ] [ リンク ]
トップ >> 質問掲示板

 このスレッドはクローズされています。記事の閲覧のみとなります。

 Open SSHのRPMパッケージをインストールできない
日時: 2014/02/23 15:53
名前: ひまり

1.不明点・障害内容:
2.ログの有無   :
  (有:その内容) :
3.Distribution  :SentOS 6.5
      Version :
4.Service Name  :
      Version :
5.ネットワーク構成:

Open SSHのRPMパッケージをインストールできません。
rpm -Uvh /root/rpmbuild/RPMS/i686/openssh-6.5p1-1.i686.rpm
を実行すると
エラー: 依存性の欠如:
        openssh = 5.3p1-94.el6 は (インストール済み)openssh-clients-5.3p1-94.el6.i686 に必要とされています
と表示されます。
どうすればいいか教えてもらえませんか?
メンテ

Page:  [1]

■ コンテンツ関連情報

 Re: Open SSHのRPMパッケージをインストールできない ( No.1 )
日時: 2014/02/23 16:15
名前: stranger
参照: http://ja.528p.com/

openssh-clients-6.5p1-1.i686.rpmもいっしょに入れなよ

GUIインストールをしていると、下記のパッケージが必要?
openssh-askpass
openssh-clients
openssh-server
openssh

CUIインストールなら
openssh-clients
openssh-server
openssh

サーバ機能が必要ないなら
openssh-server
は不要かも?
メンテ
 Re: Open SSHのRPMパッケージをインストールできない ( No.2 )
日時: 2014/02/23 16:14
名前: ひまり

rpmbuild -tb --clean openssh-6.5p1.tar.gz
でビルドして、
openssh-6.5p1-1.i686.rpm          openssh-debuginfo-6.5p1-1.i686.rpm
openssh-clients-6.5p1-1.i686.rpm  openssh-server-6.5p1-1.i686.rpm
が作成されています。

rpm -Uvh /root/rpmbuild/RPMS/i686/openssh-clients-6.5p1-1.i686.rpm
を実行しても
エラー: 依存性の欠如:
        openssh = 6.5p1-1 は openssh-clients-6.5p1-1.i686 に必要とされています
となります。
メンテ
 Re: Open SSHのRPMパッケージをインストールできない ( No.3 )
日時: 2014/02/23 16:30
名前: stranger
参照: http://ja.528p.com/

必要なものを同時に入れます
rpmのあるディレクトリに移動して
cd /root/rpmbuild/RPMS/i686
同時にアップデート
rpm -Uvh openssh-6.5p1-1.i686.rpm openssh-clients-6.5p1-1.i686.rpm

yumで管理しているなら
cd /root/rpmbuild/RPMS/i686
yum localupdate openssh-6.5p1-1.i686.rpm openssh-clients-6.5p1-1.i686.rpm

openssh-serverも含まれるなら
cd /root/rpmbuild/RPMS/i686
yum localupdate openssh-6.5p1-1.i686.rpm openssh-clients-6.5p1-1.i686.rpm openssh-server-6.5p1-1.i686.rpm
入力するのが大変なら * で省略
yum localupdate openssh-6.5p1-1.i686.rpm openssh-clients* openssh-server*


追記
yumのrepoに含まれないパッケージをインストールしたりアップデートしたりする場合は
localinstall localupdateを使います
repoに含まれるパッケージと比べて最新のものか、他に必要なパッケージがないか調べます
メンテ
 Re: Open SSHのRPMパッケージをインストールできない ( No.4 )
日時: 2014/02/23 16:21
名前: ひまり

CUIです。
yum -y openssh-server以外はインストール出来ていたのですが、インストールしてから実行すると

rpm -Uvh /root/rpmbuild/RPMS/i686/openssh-6.5p1-1.i686.rpm
エラー: 依存性の欠如:
        openssh = 5.3p1-94.el6 は (インストール済み)openssh-clients-5.3p1-94.el6.i686 に必要とされています
        openssh = 5.3p1-94.el6 は (インストール済み)openssh-server-5.3p1-94.el6.i686 に必要とされています

ってなりました。
メンテ
 Re: Open SSHのRPMパッケージをインストールできない ( No.5 )
日時: 2014/02/23 16:28
名前: ひまり

rpm -Uvh openssh-6.5p1-1.i686.rpm openssh-clients-6.5p1-1.i686.rpm openssh-server-6.5p1-1.i686.rpmの方法で解決しました。
ありがとうございます。
メンテ

Page:  [1]

■ その他

ページ先頭へ

Copyright(©)2004-2017 First home server construction. All Right Reserved.